﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Sample145862;
using MVCSampleBrowser.Models;
using Sample145862.Models;
using Sample142103;
using Syncfusion.JavaScript;
using System.Collections;
using Syncfusion.Linq;

namespace Sample145862.Controllers
{
    public class GridController : Controller
    {
        private List<Orders1> order1 = new List<Orders1>();
        List<Orders> order = new List<Orders>();
        List<Orders2> order2 = new List<Orders2>();


        // GET: /Grid/
        public ActionResult GridFeatures()
        {
            BindDataSource();
            BindDataSource1();
            order1.Add(new Orders1() {  text = "Brazil" });
            order1.Add(new Orders1() {  text = "Germany" });
            order1.Add(new Orders1() {  text = "France" });

            ViewBag.StateDs = order1;
            return View();
        }

        private void BindDataSource()
        {
            int code = 10000;
            for (int i = 1; i < 10; i++)
            {
                order.Add(new Orders(code + 1, "ALFKI", i + 0, 2.3 * i, new DateTime(1991, 05, 15), "Berlin"));
                order.Add(new Orders(code + 2, "ANATR", i + 2, 3.3 * i, new DateTime(1990, 04, 04), "Madrid"));
                order.Add(new Orders(code + 3, "ANTON", i + 1, 4.3 * i, new DateTime(1957, 11, 30), "Cholchester"));
                order.Add(new Orders(code + 4, "BLONP", i + 3, 5.3 * i, new DateTime(1930, 10, 22), "Marseille"));
                order.Add(new Orders(code + 5, "BOLID", i + 4, 6.3 * i, new DateTime(1953, 02, 18), "Tsawassen"));
                code += 5;
            }
            ViewBag.dataSource = order;
        }

        [Serializable]
        public class Orders
        {
            public Orders()
            {

            }
            public Orders(long OrderId, string CustomerId, int EmployeeId, double Freight, DateTime OrderDate, string ShipCity)
            {
                this.OrderID = OrderId;
                this.CustomerID = CustomerId;
                this.EmployeeID = EmployeeId;
                this.Freight = Freight;
                this.OrderDate = OrderDate;
                this.ShipCity = ShipCity;
            }
            public long OrderID { get; set; }
            public string CustomerID { get; set; }
            public int EmployeeID { get; set; }
            public double Freight { get; set; }
            public DateTime OrderDate { get; set; }
            public string ShipCity { get; set; }
        }
        private void BindDataSource1()
        {
            int code = 10000;
            for (int i = 1; i < 10; i++)
            {
                order2.Add(new Orders2(code + 1, "ALFKI", i + 0, 2.3 * i, new DateTime(1991, 05, 15), "Berlin","France"));
                order2.Add(new Orders2(code + 2, "ANATR", i + 2, 3.3 * i, new DateTime(1990, 04, 04), "Madrid","Germany"));
                order2.Add(new Orders2(code + 3, "ANTON", i + 1, 4.3 * i, new DateTime(1957, 11, 30), "Cholchester","Brazil"));
                order2.Add(new Orders2(code + 4, "BLONP", i + 3, 5.3 * i, new DateTime(1930, 10, 22), "Marseille","Australia"));
                order2.Add(new Orders2(code + 5, "BOLID", i + 4, 6.3 * i, new DateTime(1953, 02, 18), "Tsawassen","Reims"));
                code += 5;
            }
            ViewBag.CityDs = order2;
        }

        [Serializable]
        public class Orders2
        {
            public Orders2(long OrderId, string CustomerId, int EmployeeId, double Freight, DateTime OrderDate, string ShipCity, string ShipCountry)
            {
                this.OrderID = OrderId;
                this.CustomerID = CustomerId;
                this.EmployeeID = EmployeeId;
                this.Freight = Freight;
                this.OrderDate = OrderDate;
                this.ShipCity = ShipCity;
                this.ShipCountry = ShipCountry;
            }
            public long OrderID { get; set; }
            public string CustomerID { get; set; }
            public int EmployeeID { get; set; }
            public double Freight { get; set; }
            public DateTime OrderDate { get; set; }
            public string ShipCity { get; set; }
            public string ShipCountry { get; set; }
        }
        public ActionResult Dropdown(string country)
        {
            var employeeID = OrderRepository.GetAllRecords().Where(c => c.ShipCountry == country).ToList();

            return Json(employeeID, JsonRequestBehavior.AllowGet);
        }
        public class Orders1
        {
            public string text { get; set; }
          
        }
        
    }
}
